Subject: installer: optional download the last Guix

From: zimoun <[email-masked]>
Date: Tue, 22 Dec 2020 11:58:48 +0100

Hi,

I have used the installer in a WM selecting the Xfce.  The installation
process is mainly downloading substitutes. To fix the idea, on my
machine and with my network, it took me 40 minutes from start to reboot.

So far, so good.

Then, I log.  The first “guix pull” takes 20 minutes and download a lot
of substitutes.  I have never really done this step. :-)

All these substitutes used by “guix pull” should be (optionally)
downloaded in the final store at the end of the install process.  In
other words, if the installation process take 1 hour is ok.  But then,
it appears to me «weird to wait 20 minutes just to “update” my package
list», reusing words from lambda reviewers on the net.

The first “guix pull” should take a couple of minutes (as usual).

Do I miss something?

All the best,
simon